Bug 1297527 - Review Request: perl-WWW-Twilio-API - Accessing Twilio's REST API with Perl
Review Request: perl-WWW-Twilio-API - Accessing Twilio's REST API with Perl
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Šabata
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-11 14:04 EST by Denis Fateyev
Modified: 2016-02-01 04:56 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-24 17:50:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
psabata: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Denis Fateyev 2016-01-11 14:04:09 EST
Spec URL: http://www.fateyev.com/RPMS/Fedora22/perl-WWW-Twilio-API.spec
SRPM URL: http://www.fateyev.com/RPMS/Fedora22/perl-WWW-Twilio-API-0.18-1.fc24.src.rpm
Description: WWW::Twilio::API aims to make connecting to and making REST calls on the Twilio API easy, reliable, and enjoyable.
Fedora Account System Username: dfateyev

Koji scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=12499224 (Rawhide)
https://koji.fedoraproject.org/koji/taskinfo?taskID=12498753 (Fedora 23)
https://koji.fedoraproject.org/koji/taskinfo?taskID=12499086 (EPEL 7)
https://koji.fedoraproject.org/koji/taskinfo?taskID=12499075 (EPEL 6)
Comment 1 Petr Šabata 2016-01-12 10:48:52 EST
Question.

 32 Requires:       perl(LWP::Protocol::https)
 33 # perl-libwww-perl in el6 haven't got ssl support by default
 34 %{?el6:Requires: perl(Crypt::SSLeay)}

Does this mean that, in EPEL6, HTTPS doesn't work with LWP::Protocol::https?
Comment 2 Denis Fateyev 2016-01-12 11:58:38 EST
Right, technically "LWP::Protocol::https" in rhel6 doesn't support HTTPS by default. In more details, "perl(LWP::Protocol::https)" in rhel6 is provided by "perl-libwww-perl" which doesn't require SSL by itself.

# yum whatprovides 'perl(LWP::Protocol::https)'
...
perl-libwww-perl-5.833-2.el6.noarch : A Perl interface to the World-Wide Web
Repo        : base
Matched from:
Other       : perl(LWP::Protocol::https)
...
perl-libwww-perl-5.833-2.el6.noarch : A Perl interface to the World-Wide Web
Repo        : installed
Matched from:
Other       : Provides-match: perl(LWP::Protocol::https)

# rpm -qR perl-libwww-perl
/usr/bin/perl  
mailcap  
perl >= 0:5.002
perl >= 0:5.004
perl >= 0:5.005
perl(:MODULE_COMPAT_5.10.1)  
perl(AnyDBM_File)  
perl(Carp)  
perl(Compress::Zlib)  
perl(Digest::MD5)  
perl(Exporter)  
perl(Fcntl)  
perl(File::Listing)  
perl(Getopt::Long)  
perl(Getopt::Std)  
perl(HTML::Entities)  
perl(HTTP::Cookies)  
perl(HTTP::Cookies::Netscape)  
perl(HTTP::Date)  
perl(HTTP::Headers)  
perl(HTTP::Headers::Util)  
perl(HTTP::Message)  
perl(HTTP::Negotiate)  
perl(HTTP::Request)  
perl(HTTP::Response)  
perl(HTTP::Status)  
perl(IO::Select)  
perl(IO::Socket)  
perl(LWP)  
perl(LWP::MediaTypes)  
perl(LWP::MemberMixin)  
perl(LWP::Protocol)  
perl(LWP::Protocol::http)  
perl(LWP::Protocol::http10)  
perl(LWP::Simple)  
perl(LWP::UserAgent)  
perl(MIME::Base64)  
perl(Net::HTTP)  
perl(Net::HTTP::Methods)  
perl(Net::HTTPS)  
perl(Net::NNTP)  
perl(Time::Local)  
perl(URI)  
perl(URI::Heuristic)  
perl(URI::URL)  
perl(WWW::RobotRules)  
perl(base)  
perl(integer)  
perl(locale)  
perl(strict)  
perl(vars)  
perl-HTML-Parser >= 3.33
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(VersionedDependencies) <= 3.0.3-1
rpmlib(PayloadIsXz) <= 5.2-1

--------------
A simple practical check:

# yum install 'perl(LWP::Protocol::https)'
...
Package perl-libwww-perl-5.833-2.el6.noarch already installed and latest version

# perl -le 'use LWP::UserAgent; my $ua = new LWP::UserAgent; my $request = new HTTP::Request("GET", "https://bugzilla.redhat.com"); my $response = $ua->request($request); print $response->content;'
LWP will support https URLs if either Crypt::SSLeay or IO::Socket::SSL
is installed. More information at
<http://search.cpan.org/dist/libwww-perl/README.SSL>.

P.S. In rhel7 and fedora it's different: perl(LWP::Protocol::https) is provided by a separate package which requires IO::Socket::SSL.
Comment 3 Petr Šabata 2016-01-14 07:31:49 EST
Hrm, okay.  perl-libwww-perl's packaging in EL6 could be improved, it seems.

Anyhow, the package is mostly fine.  Just...

* You could add the version constraint to that EL6 runtime dependency on
  Crypt::SSLeay.

* Require version constrained LWP::UserAgent and URI::Escape + filter out
  the autogenerated underspecified dependencies.

And that's it :)
Comment 4 Upstream Release Monitoring 2016-01-14 09:48:58 EST
dfateyev's scratch build of perl-WWW-Twilio-API-0.18-2.fc23.denf.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12547493
Comment 5 Denis Fateyev 2016-01-14 09:53:48 EST
(In reply to Petr Šabata from comment #3)
> Hrm, okay.  perl-libwww-perl's packaging in EL6 could be improved, it seems.

It would be good, but I doubt they would do it now with rhel6.
 
> * You could add the version constraint to that EL6 runtime dependency on
>   Crypt::SSLeay.
> 
> * Require version constrained LWP::UserAgent and URI::Escape + filter out
>   the autogenerated underspecified dependencies.

Done. The updated version:
Spec URL: http://www.fateyev.com/RPMS/Fedora22/perl-WWW-Twilio-API.spec
SRPM URL: http://www.fateyev.com/RPMS/Fedora22/perl-WWW-Twilio-API-0.18-2.fc24.src.rpm
Comment 6 Petr Šabata 2016-01-14 10:25:25 EST
Acking changes and approving.
Comment 7 Gwyn Ciesla 2016-01-15 09:10:01 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/perl-WWW-Twilio-API
Comment 8 Fedora Update System 2016-01-15 17:22:29 EST
perl-WWW-Twilio-API-0.18-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-7eef5cd0bf
Comment 9 Fedora Update System 2016-01-15 17:22:34 EST
perl-WWW-Twilio-API-0.18-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0d6a91da2e
Comment 10 Fedora Update System 2016-01-15 17:22:35 EST
perl-WWW-Twilio-API-0.18-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a21b459a4e
Comment 11 Fedora Update System 2016-01-16 14:21:42 EST
perl-WWW-Twilio-API-0.18-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-7eef5cd0bf
Comment 12 Fedora Update System 2016-01-16 14:24:55 EST
perl-WWW-Twilio-API-0.18-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a21b459a4e
Comment 13 Fedora Update System 2016-01-16 15:49:31 EST
perl-WWW-Twilio-API-0.18-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-2807c20ee4
Comment 14 Fedora Update System 2016-01-17 09:22:33 EST
perl-WWW-Twilio-API-0.18-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0d6a91da2e
Comment 15 Fedora Update System 2016-01-24 17:50:17 EST
perl-WWW-Twilio-API-0.18-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2016-01-26 13:27:23 EST
perl-WWW-Twilio-API-0.18-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2016-01-31 20:53:25 EST
perl-WWW-Twilio-API-0.18-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2016-02-01 04:56:35 EST
perl-WWW-Twilio-API-0.18-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.